## pim-sieve-editor 25.08.2+p24.04+vstable+git20251015.2023

=== debian/changelog ===
pim-sieve-editor (4:25.08.2+p24.04+vstable+git20251015.2023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:23:34 +0000

pim-sieve-editor (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:02:18 +0000
