=== debian/control ===
--- 
+++ 
@@ -22,10 +22,10 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkimap-dev (>= 25.11.80~),
-               libkmailtransport-dev (>= 25.11.80~),
-               libksieve-dev (>= 4:25.11.80~),
-               libpimcommon-dev (>= 4:25.11.80~),
+               libkimap-dev (>= 25.11.90~),
+               libkmailtransport-dev (>= 25.11.90~),
+               libksieve-dev (>= 4:25.11.90~),
+               libpimcommon-dev (>= 4:25.11.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
