## pim-sieve-editor 25.12.0+p24.04+vstable+git20260105.1007

=== debian/changelog ===
pim-sieve-editor (4:25.12.0+p24.04+vstable+git20260105.1007-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:07:54 +0000
