## pim-sieve-editor 25.12.1+p24.04+vstable+git20260131.0350

=== debian/changelog ===
pim-sieve-editor (4:25.12.1+p24.04+vstable+git20260131.0350-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:50:34 +0000

pim-sieve-editor (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:33:51 +1000
