## pim-sieve-editor 25.12.1+p24.04+vstable+git20260205.0728

=== debian/changelog ===
pim-sieve-editor (4:25.12.1+p24.04+vstable+git20260205.0728-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:28:41 +0000
