=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2013-2025 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2013-2026 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 
 if(TARGET KF6::UserFeedbackWidgets)
@@ -141,9 +141,7 @@
 )
 target_link_libraries(libsieveeditor PRIVATE qt6keychain)
 
-if(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT)
-    target_link_libraries(libsieveeditor PRIVATE KF6::TextAddonsWidgets)
-endif()
+target_link_libraries(libsieveeditor PRIVATE KF6::TextAddonsWidgets)
 
 set_target_properties(
     libsieveeditor
